Demons and swords

Submitted by Kauavip123 on Sun, 12/30/2018 - 18:49
Share this on:
Downloads:
26
Upvotes: 0

To play this mod you need forge 1.12.2. this mod has absurd monsters and armor if I had an idea to improve let me know and put what gave the idea on the mural of my videos.

 

version do mod: v1.0.1

forge:1.12.2

made by:kauavip123

Video tutorial:https://www.youtube.com/watch?v=RZef0vWyIl4&feature=youtu.be

Latest supported Minecraft version
1.12.2
Release type
In development
Changelog

new version coming soon...

Modification download files
v.1.0.1110.92 KB

Submitted by Klemen on Sun, 12/30/2018 - 20:24

Please change your description so it is English only. Thanks!